%global kolab_user kolab
%global kolab_user_id 412
%global kolab_group kolab
%global kolab_group_id 412

%global kolabn_user kolab-n
%global kolabn_user_id 413
%global kolabn_group kolab-n
%global kolabn_group_id 413

%global kolabr_user kolab-r
%global kolabr_user_id 414
%global kolabr_group kolab-r
%global kolabr_group_id 414



Name:           kolab-webadmin
Version:        3.0.3
Release:        %mkrel 5
Summary:        Kolab Groupware Server Web Administration Interface
License:        AGPLv3+
Group:          System/Servers
Url:            http://www.kolab.org
Source0:        http://git.kolab.org/kolab-wap/snapshot/kolab-webadmin-%{version}.tar.gz
Patch0:         kolab-webadmin-3.0.3-1402.patch
Patch1:         kolab-webadmin-3.0.3-1472.patch
Patch2:         apache-2_4.patch
BuildArch:      noarch
Requires(pre):  apache
Requires:       mozldap-tools
Requires:       php >= 5.3
Requires:       php-smarty >= 3.1.7
Requires:       php-pear-Net_Socket
Requires:       php-pear-Net_LDAP2
Requires:       php-gettext
Requires:       php-ldap
Requires:       php-mysql

%description
Web based admin - and user interface for the Kolab Groupware Server

%prep
%setup -q

%patch0 -p1 -b .1402.patch
%patch1 -p1 -b .1472.patch
%patch2 -p1 -b .apache-2_4.patch

%build

%install
mkdir -p \
    %{buildroot}/%{_datadir}/%{name}/ \
    %{buildroot}/%{_webappconfdir} \
    %{buildroot}/%{_logdir}/%{name} \
    %{buildroot}/%{_localstatedir}/cache/%{name}

cp -a lib/ public_html/ hosted/ %{buildroot}/%{_datadir}/%{name}/.
cp -a doc/kolab-webadmin.conf %{buildroot}/%{_webappconfdir}/
cp -a doc/hosted-kolab.conf %{buildroot}/%{_webappconfdir}
pushd %{buildroot}/%{_datadir}/%{name}/
ln -s ../../..%{_var}/cache/%{name} cache
ln -s ../../..%{_var}/log/%{name} logs
pushd hosted/skins/kolabsys
ln -sf ../../../public_html/skins/default/style.css style.css
ln -sf ../../../public_html/skins/default/ui.js ui.js
rm -rf images
ln -sf ../../../public_html/skins/default/images images
popd
popd


%pre
# Add the kolab user and group accounts
getent group %{kolab_group} &>/dev/null || groupadd -r %{kolab_group} -g %{kolab_group_id} &>/dev/null
getent passwd %{kolab_user} &>/dev/null || \
    useradd -r -u %{kolab_user_id} -g %{kolab_group} -d %{_localstatedir}/lib/%{kolab_user} -s /sbin/nologin \
        -c "Kolab System Account" %{kolab_user} &>/dev/null || :

gpasswd -a apache kolab >/dev/null 2>&1 || :

if [ $1 -gt 1 ]; then
    if [ ! -L "/usr/share/kolab-webadmin/hosted/js" -a -d "/usr/share/kolab-webadmin/hosted/js" ]; then
        rm -rf /usr/share/kolab-webadmin/hosted/js >/dev/null 2>&1 || :
    fi

    if [ ! -L "/usr/share/kolab-webadmin/hosted/skins" -a -d "/usr/share/kolab-webadmin/hosted/skins" ]; then
        rm -rf /usr/share/kolab-webadmin/hosted/skins >/dev/null 2>&1 || :
    fi

    if [ ! -L "/usr/share/kolab-webadmin/public_html/skins/minimal/images" -a -d "/usr/share/kolab-webadmin/public_html/skins/minimal/images" ]; then
        rm -rf /usr/share/kolab-webadmin/public_html/skins/minimal/images >/dev/null 2>&1 || :
    fi
fi

%files
%doc doc/* INSTALL LICENSE
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_webappconfdir}/hosted-kolab.conf
%{_datadir}/%{name}
%attr(0770,apache,apache) %{_localstatedir}/cache/%{name}
%attr(0770,apache,apache) %{_logdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.3-5.mga3
+ Revision: 356390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 spuhler <spuhler> 3.0.3-4.mga3
+ Revision: 341696
- added apache-2.4 conf patch

* Sat Jan 05 2013 spuhler <spuhler> 3.0.3-3.mga3
+ Revision: 339399
- removed unused defines
  used %%{_webappconfdir} for conf directory

* Wed Jan 02 2013 spuhler <spuhler> 3.0.3-2.mga3
+ Revision: 337552
- syncronized the spec file with upstream (Fedora)
  Corrected mga specifics

* Sat Dec 15 2012 spuhler <spuhler> 3.0.3-1.mga3
+ Revision: 331310
- upgrade to 3.0.3

* Tue Sep 18 2012 spuhler <spuhler> 3.0.2-1.mga3
+ Revision: 295827
- updated to 3.0.2

* Thu Sep 13 2012 spuhler <spuhler> 3.0.1-1.mga3
+ Revision: 293434
- upgrade to 3.0.1

* Fri Aug 17 2012 spuhler <spuhler> 3.0.0-1.mga3
+ Revision: 281758
- upgrade to  3.0.0
- upgrade to 2.4

* Sun Apr 08 2012 luigiwalser <luigiwalser> 2.2.4-4.mga2
+ Revision: 229643
- httpd restart is handled by filetriggers now

* Sun Sep 18 2011 dmorgan <dmorgan> 2.2.4-3.mga2
+ Revision: 144688
- Change apache-conf require

  + spuhler <spuhler>
    - revert last changes
    - downgrade to Version: 1
      add subrel 1 for mga 1 updates

* Fri Jun 10 2011 spuhler <spuhler> 2.2.4-2.mga2
+ Revision: 103094
- updated from rel from 1 to 2
  changed Requires: php-smarty >= 2.6.20 to  php-smarty2 >= 2.6.20

* Sun Jan 09 2011 spuhler <spuhler> 2.2.4-1.mga1
+ Revision: 4363
- imported package kolab-webadmin

